<?php declare(strict_types=1);
/*
 * (c) shopware AG <info@shopware.com>
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace Swag\PayPal\RestApi\V2\Api\Referral\BusinessEntity;

use OpenApi\Annotations as OA;
use Swag\PayPal\RestApi\PayPalApiStruct;

/**
 * @OA\Schema(schema="swag_paypal_v2_referral_address")
 */
class Address extends PayPalApiStruct
{
    public const TYPE_WORK = 'WORK';

    /**
     * @OA\Property(type="string")
     */
    protected string $countryCode;

    /**
     * @OA\Property(type="string", default=Swag\PayPal\RestApi\V2\Api\Referral\BusinessEntity\Address::TYPE_WORK)
     */
    protected string $type = self::TYPE_WORK;

    public function getType(): string
    {
        return $this->type;
    }

    public function setType(string $type): void
    {
        $this->type = $type;
    }

    public function getCountryCode(): string
    {
        return $this->countryCode;
    }

    public function setCountryCode(string $countryCode): void
    {
        $this->countryCode = $countryCode;
    }
}
