<?php declare(strict_types=1);
/*
 * (c) shopware AG <info@shopware.com>
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace Swag\PayPal\Webhook\Exception;

use Shopware\Core\Framework\ShopwareHttpException;
use Symfony\Component\HttpFoundation\Response;

class WebhookAlreadyExistsException extends ShopwareHttpException
{
    public function __construct(string $webhookUrl)
    {
        parent::__construct(
            'WebhookUrl "{{ webhookUrl }}" already exists',
            ['webhookUrl' => $webhookUrl]
        );
    }

    public function getStatusCode(): int
    {
        return Response::HTTP_BAD_REQUEST;
    }

    public function getErrorCode(): string
    {
        return 'SWAG_PAYPAL__WEBHOOK_ALREADY_EXISTS';
    }
}
